OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.3

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - f -

- Failed() : CommandCost
- FallbackParagraphLayout() : FallbackParagraphLayout
- FallbackVisualRun() : FallbackParagraphLayout::FallbackVisualRun
- Filename() : FiosNumberedSaveName
- FileReader() : FileReader
- FileStringReader() : FileStringReader
- FileWriter() : FileWriter
- FillCrashLog() : CrashLog
- FillSetDetails() : BaseSet< T >
- FillUsedItems() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- FillWidgetLookup() : NWidgetBackground, NWidgetBase, NWidgetContainer, NWidgetNewGRFDisplay, NWidgetStacked
- Filter() : BadgeDropdownFilter, BadgeTextFilter, GUIList< T, P, F >
- FilterByText() : BuildVehicleWindow
- FilterContentList() : NetworkContentListWindow
- FilterEngineList() : BuildVehicleWindow
- FilterSignList() : SignList
- FilterSingleEngine() : BuildVehicleWindow
- FilterType() : GUIList< T, P, F >
- FilterVehicleList() : BaseVehicleListWindow
- Finalise() : FileWriter, HeaderFileWriter, HeaderWriter, LanguageFileWriter, LanguageWriter, StringNameWriter, TranslationWriter
- Finalize() : GRFParameterInfo
- FinalizeLocalConsumption() : FlowStatMap
- FinalizeParameterInfo() : GRFConfig
- FinalizeRefitAction() : FinalizeRefitAction
- Find() : HashTable< Titem, Thash_bits_ >, HashTableSlot< TItem >, StringConsumer, StringData
- FindChar() : StringConsumer
- FindCharIn() : StringConsumer
- FindCharNotIn() : StringConsumer
- FindChildWindow() : Window
- FindChildWindowById() : Window
- FindClosedNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- FindClosestDepot() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- FindContained() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindCycleFlow() : MCF1stPass
- FindDepotData() : FindDepotData
- FindEntry() : BaseSettingEntry, SettingsContainer, SettingsPage
- FindFallbackFont() : FontProviderManager
- FindHyperlinksInMarkdown() : TextfileWindow
- FindIndex() : CBinaryHeapT< T >
- FindInfo() : AI, AIConfig, AIScannerInfo, Game, GameConfig, GameScannerInfo, ScriptConfig
- FindItem() : FileList
- FindKnownName() : DumpTarget
- FindLibrary() : AI, AIInstance, AIScannerLibrary, Game, GameInstance, GameScannerLibrary, ScriptInstance
- FindMainScript() : ScriptScanner
- FindMissingGlyphs() : MissingGlyphSearcher
- FindNearest() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindNearestDepot() : CYapfFollowRoadT< Types >
- FindNearestRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- FindPath() : CYapfBaseT< Types >
- FindSafePositionOnNode() : CYapfReserveTrack< Types >
- FindSets() : BaseMedia< Tbase_set >
- FindTrainOnTrackInfo() : FindTrainOnTrackInfo
- FindUtf8() : StringConsumer
- FindWindowPlacementAndResize() : CompanyInfrastructureWindow, MainToolbarWindow, NetworkAskRelayWindow, NetworkAskSurveyWindow, NetworkChatWindow, QueryWindow, ScenarioEditorToolbarWindow, StatusBarWindow, Window
- Finish() : FileWriter, LZMASaveFilter, PacketWriter, SaveFilter, ZlibSaveFilter
- FinishInitNested() : Window
- FiosFileScanner() : FiosFileScanner
- FiosNumberedSaveName() : FiosNumberedSaveName
- First() : SpecializedVehicle< T, Type >, Vehicle
- FirstShared() : Vehicle
- FitAvailableHeight() : DropdownWindow
- FixPointers() : BKORChunkHandler, CAPYChunkHandler, CHKPChunkHandler, ChunkHandler, CITYChunkHandler, DefaultSaveLoadHandler< TImpl, TObject >, DEPTChunkHandler, ERNWChunkHandler, INDYChunkHandler, LGRSChunkHandler, OBJSChunkHandler, ORDLChunkHandler, PLYRChunkHandler, ROADChunkHandler, SaveLoadHandler, STNNChunkHandler, STNSChunkHandler, VEHSChunkHandler
- Flip() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- Flow() : LinkGraphJob::EdgeAnnotation
- FlowEdgeIterator() : FlowEdgeIterator
- FlowMapper() : FlowMapper
- FlowStat() : FlowStat
- Flush() : CSegmentCostCacheT< Tsegment >, MemoryDumper, UnmappedChoiceList
- FoldAll() : SettingsContainer, SettingsPage
- Follow() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- FollowTileExit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- Font() : Font
- ForcedReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- ForceRebuild() : GUIList< T, P, F >
- ForceRefresh() : SmallMapWindow
- ForceResort() : GUIList< T, P, F >
- ForceUpdate() : WaterRegion
- Fork() : Path
- FormatValue() : BoolSettingDesc, IntSettingDesc, ListSettingDesc, ManyOfManySettingDesc, NullSettingDesc, OneOfManySettingDesc, SettingDesc, StringSettingDesc
- FoundBestNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- Free() : Order
- FreeBay() : RoadStop
- FreeChain() : OrderList
- FreeSubtree() : Kdtree< T, TxyFunc, CoordT, DistT >
- FreeTranslation() : LangString, StringData
- FreeTypeFontCache() : FreeTypeFontCache
- From() : SpecializedStation< T, Tis_waypoint >, SpecializedVehicle< T, Type >
- FromDisplay() : UnitConversion